EZ_MenuBarInsertItemAndMenu(3)

NAME
EZ_MenuBarInsertItemAndMenu - insert an item on a menubar

SYNOPSIS
#include <EZ.h>

void  EZ_MenuBarInsertItemAndMenu(EZ_Widget *mbar, char *label, int ul
                                  EZ_Widget *menu, char *ref, int where)

ARGUMENTS
mbar Specifies a menubar widget.

label Specifies an item label.

ul Specifies the index of the character in label to be underlined.

menu Specifies the menu to be associated to the new item.

ref Specifies an existing item label on the menu bar.

where Specifies where to insert the new item, relative to ref. A negative value means the new item will be inserted in front of ref.

DESCRIPTION

EZ_MenuBarInsertItemAndMenu add a new item on a menu bar. If there are no item on mbar labeled by ref, the newly created item will be insert either at the front or the end of the item list, depending on the sign of where.

SEE ALSO
EZ_CreateWidget(3), EZ_MenuBarAddItem(3)